net.sourceforge.pmd.lang.dfa.pathfinder

## Class DAAPathFinder

- java.lang.Object
- - net.sourceforge.pmd.lang.dfa.pathfinder.DAAPathFinder

-     public class DAAPathFinder
      extends Object

  Author:
    raik

    Finds all paths of a data flow. Each loop will be 0 or 2 times traversed -> 2 paths. This is special to the data flow anomaly analysis.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DAAPathFinder(DataFlowNode rootNode, Executable shim)`
    `DAAPathFinder(DataFlowNode rootNode, Executable shim, int maxPaths)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `run()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DAAPathFinder

          public DAAPathFinder(DataFlowNode rootNode,
                       Executable shim)

    - #### DAAPathFinder

          public DAAPathFinder(DataFlowNode rootNode,
                       Executable shim,
                       int maxPaths)

  - ### Method Detail

    - #### run

          public void run()

Copyright © 2002-2013 InfoEther. All Rights Reserved.